<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SafeCampus.Plugin.Core</name>
    </assembly>
    <members>
        <member name="T:SafeCampus.Plugin.Core.NoticeComponent">
            <summary>
            通知组件类型
            </summary>
        </member>
        <member name="T:SafeCampus.Plugin.Core.INoticeService">
            <summary>
            通知服务
            </summary>
        </member>
        <member name="M:SafeCampus.Plugin.Core.INoticeService.UserLoginOut(System.String,System.Collections.Generic.List{System.String},System.String)">
            <summary>
            通知用户下线
            </summary>
            <param name="userId">用户ID</param>
            <param name="clientIds">clientId列表</param>
            <param name="message">通知内容</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Plugin.Core.INoticeService.UpdatePassWord(System.String,System.Collections.Generic.List{System.String},System.String)">
            <summary>
            通知用户修改密码
            </summary>
            <param name="userId">用户ID</param>
            <param name="clientIds">clientId列表</param>
            <param name="message">通知内容</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Plugin.Core.INoticeService.NewMesage(System.Collections.Generic.List{System.String},System.Collections.Generic.List{System.String},System.String)">
            <summary>
            收到新的消息
            </summary>
            <param name="userIds">用户Id列表</param>
            <param name="clientIds">clientId列表</param>
            <param name="message"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Plugin.Core.PluginSettingsOptions">
            <summary>
            插件配置选项
            </summary>
        </member>
        <member name="P:SafeCampus.Plugin.Core.PluginSettingsOptions.UseSignalR">
            <summary>
            是否开启SignalR
            </summary>
        </member>
        <member name="P:SafeCampus.Plugin.Core.PluginSettingsOptions.UseMqtt">
            <summary>
            是否开启Mqtt
            </summary>
        </member>
        <member name="P:SafeCampus.Plugin.Core.PluginSettingsOptions.NoticeComponent">
            <summary>
            默认通知类型
            SignalR/Mqtt
            </summary>
        </member>
    </members>
</doc>
